import request from '@/utils/request'

// 查询物业管家设置列表
export function listSettings(query) {
  return request({
    url: '/wuYe/settings/list',
    method: 'get',
    params: query
  })
}

// 查询物业管家设置详细
export function getSettings(settingsId) {
  return request({
    url: '/wuYe/settings/' + settingsId,
    method: 'get'
  })
}

// 新增物业管家设置
export function addSettings(data) {
  return request({
    url: '/wuYe/settings',
    method: 'post',
    data: data
  })
}

// 修改物业管家设置
export function updateSettings(data) {
  return request({
    url: '/wuYe/settings/put',
    method: 'post',
    data: data
  })
}

// 删除物业管家设置
export function delSettings(settingsId) {
  return request({
    url: '/wuYe/settings/delete/' + settingsId,
    method: 'get'
  })
}
